<template>
    <div class="content-wrapper">
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
              <div class="card">
                <div class="card-body">
                  <h4 class="card-title">All Registered Users </h4>
                  <table class="table table-bordered">
                    <thead>
                      <tr>
                        <th>
                          User Id
                        </th>
                        <th>
                          User Name
                        </th>
                        <th>
                          Email
                        </th>
                        <th>
                          Simulate
                        </th>
                        <th>
                          Action
                        </th>
                      </tr>
                    </thead>
                    <tbody>

                      <tr v-for="user in users">
                        <td>
                          {{ user.id }}
                        </td>
                        <td>
                         {{ user.name }}
                        </td>
                        <td>
                         {{ user.email }}
                        </td>
                        <td>
                          <button class="btn btn-success"> <router-link :to='/userdash/+user.id'> simulate </router-link></button>
                        </td>
                        <td>
                          <button class="btn btn-primary"   @click="deleteuser(user.id)">Delete</button>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
        </div>
    </div>
</template>
<script>
export default {
    data(){
        return {
           users:[],
           error :'',
           id:1,
           counter:0,
           userid:1,
        }
    },
    methods :{
        incrementItem(id) {
          return this.id = this.counter++;
        },
        reloaddata: function()
        {
          axios.get('/justcheck')
          .then((response) => this.users = response.data)
        },
        deleteuser(id){
            axios.post('/deleteuser/'+id,{

            })
            .then(data=>{
               this.$eventBus.$emit('deletesuccessfully');
            })
        },
    },
     created(){
       this.$eventBus.$on('deletesuccessfully',this.reloaddata)
        axios.get('/justcheck')
        .then((response) => this.users = response.data)
        .catch((error) => console.log(error));
        console.log("sidebar component loaded successfully");
        axios.get('/admindetails')
        .then((response => this.admindetails = response.data))
       
        },
}
</script>
<style>

</style>


